import request from '@/utils/request'

// 查询废水风险评估列表
export function listWater(query) {
  return request({
    url: '/ehs/water/list',
    method: 'get',
    params: query
  })
}

// 查询废水风险评估详细
export function getWater(id) {
  return request({
    url: '/ehs/water/' + id,
    method: 'get'
  })
}

// 新增废水风险评估
export function addWater(data) {
  return request({
    url: '/ehs/water',
    method: 'post',
    data: data
  })
}

// 修改废水风险评估
export function updateWater(data) {
  return request({
    url: '/ehs/water',
    method: 'put',
    data: data
  })
}

// 删除废水风险评估
export function delWater(id) {
  return request({
    url: '/ehs/water/' + id,
    method: 'delete'
  })
}

// 导出废水风险评估
export function exportWater(query) {
  return request({
    url: '/ehs/water/export',
    method: 'get',
    params: query
  })
}